For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
HomeGuidesAPI ReferenceGlossary
HomeGuidesAPI ReferenceGlossary
  • API Reference
      • GETSearch entities
      • POSTCreate entity
      • GETGet entity
      • POSTUpdate entity
      • DELDelete entity
      • POSTAccept Terms of Service
      • POSTInitiate KYB
      • POSTGenerate JWT Token
      • GETGenerate Onboarding Link
      • POSTSend Onboarding Email
      • GETEvents
        • GETSearch entity users
        • POSTCreate entity user
        • GETGet entity user
        • POSTUpdate entity user
        • DELDelete entity user
        • POSTGenerate JWT Token
Logo
Sign inBook a demo
API ReferenceEntityUser

Search entity users

GET
https://api.mercoa.com/entity/:entityId/users
GET
/entity/:entityId/users
$curl -G https://api.mercoa.com/entity/ent_a0f6ea94-0761-4a5e-a416-3c453cb7eced/users \
> -H "Authorization: Bearer <token>" \
> -d name=John
1{
2 "count": 1,
3 "hasMore": false,
4 "data": [
5 {
6 "id": "user_ec3aafc8-ea86-408a-a6c1-545497badbbb",
7 "roles": [
8 "admin",
9 "approver"
10 ],
11 "createdAt": "2024-01-01T00:00:00Z",
12 "updatedAt": "2024-01-01T00:00:00Z",
13 "foreignId": "MY-DB-ID-12345",
14 "email": "john.doe@acme.com",
15 "name": "John Doe"
16 }
17 ]
18}
Search entity users
Was this page helpful?
Previous

Create entity user

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

entityIdstringRequired
Entity ID or Entity ForeignID

Query parameters

foreignIdstringOptional
ID used to identify user in your system
rolestringOptional
Filter users by role. If multiple roles are provided, users with any of the roles will be returned.
namestringOptional
Filter users by name. Partial matches are supported.
emailstringOptional
Filter users by email. Partial matches are supported.
limitintegerOptional
Number of entities to return. Limit can range between 1 and 100, and the default is 10.
startingAfterstringOptional
The ID of the user to start after. If not provided, the first page of entities will be returned.

Response

This endpoint returns an object.
countinteger
Total number of users for the given filters. This value is not limited by the limit parameter. It is provided so that you can determine how many pages of results are available.
hasMoreboolean
True if there are more users available for the given filters.
datalist of objects

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented